カードビューを移行
curl --request POST \
--url https://api.hubapi.com/crm/extensions/cards-dev/2026-03/{appId}/views/migrate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowDuplicateAppCardIds": true,
"appCardId": 123,
"legacyCrmCardId": 123,
"helpdeskAppCardId": 123
}
'import requests
url = "https://api.hubapi.com/crm/extensions/cards-dev/2026-03/{appId}/views/migrate"
payload = {
"allowDuplicateAppCardIds": True,
"appCardId": 123,
"legacyCrmCardId": 123,
"helpdeskAppCardId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowDuplicateAppCardIds: true,
appCardId: 123,
legacyCrmCardId: 123,
helpdeskAppCardId: 123
})
};
fetch('https://api.hubapi.com/crm/extensions/cards-dev/2026-03/{appId}/views/migrate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"endedAt": 123,
"remainingPortalCount": 123,
"startedAt": 123,
"totalPortalCount": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}CRMカード
Migrate CRM card views
ビューの旧CRMカードをアプリカードと入れ替えます。詳しくは、「旧CRMカードをアプリカードに移行」ドキュメントを参照してください。
POST
/
crm
/
extensions
/
cards-dev
/
2026-03
/
{appId}
/
views
/
migrate
カードビューを移行
Supported products
Supported products
承認
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
旧CRMカードが含まれるアプリのappId
ボディ
application/json
最終更新日 2026年4月10日
⌘I